### Method

# Gimp ExportOptions get_image

since: 3.0

#### Declaration [src]

    GimpExportReturn
    gimp_export_options_get_image (
      GimpExportOptions* options,
      GimpImage** image
    )

#### Description [src]

Takes an image to be exported, possibly creating a temporary copy modified according to export settings in `options` (such as the capabilities of the export format).

If necessary, a copy is created, converted and modified, `image` changed to point to the new image and the procedure returns `GIMP_EXPORT_EXPORT`. In this case, you must take care of deleting the created image using `gimp_image_delete()` once the image has been exported, unless you were planning to display it with `gimp_display_new()`, or you will leak memory.

If `GIMP_EXPORT_IGNORE` is returned, then `image` is still the original image. You should neither modify it, nor should you delete it in the end. If you wish to temporarily modify the image before export anyway, call `gimp_image_duplicate()` when `GIMP_EXPORT_IGNORE` was returned.

Available since: 3.0

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The argument will be modified by the function.
  The returned data is owned by the instance.

#### Return value

Type: `GimpExportReturn`

An enum of `GimpExportReturn`.